%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Event-RPC

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Event based transparent Client/Server RPC framework
Name:		perl-%{perlname}
Version:	0.90
Release:	2
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=Event+RPC
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl-IO-Socket-SSL
Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl-IO-Socket-SSL

%description
Event based transparent Client/Server RPC framework
For more details see: http://search.cpan.org/search?module=%{perlname}

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.90-2
- Rebuild against perl 5.10.0
* Fri Sep 15 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.90-1
- Version Update
* Wed Dec 07 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.85-1
- Initial Release
